## zpspell 0.4.3

=== CMakeLists.txt ===

project(zpspell)
cmake_minimum_required(VERSION 2.6)

# variables for project
set(VERSION 0.4.3)

add_executable(zpspell zsconn.cpp
                       zstring.cpp
                       main.cpp)

install(TARGETS zpspell DESTINATION bin)


# check headers
include(CheckIncludeFile)
include(CheckIncludeFileCXX)

check_include_file_cxx(iostream     HAVE_IOSTREAM_H)
check_include_file_cxx(string       HAVE_STRING_H)
check_include_file_cxx(sstream      HAVE_SSTREAM_H)
check_include_file_cxx(vector       HAVE_VECTOR_H)
check_include_file_cxx(algorithm    HAVE_ALGORITHM_H)
check_include_file(sys/types.h  HAVE_TYPES_H)
check_include_file(sys/socket.h HAVE_SOCKET_H) 
check_include_file(netinet/in.h HAVE_NETINET_H)
check_include_file(netdb.h      HAVE_NETDB_H)



# for generated config.h
include_directories(${CMAKE_CURRENT_BINARY_DIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)



# dbus and glib stuff
include(UsePkgConfig)
pkgconfig("dbus-glib-1" _dbusIncDir _dbusLinkDir _dbusLinkFlags _dbusCflags)
pkgconfig("glib-2.0" _glibIncDir _glibLinkDir _glibLinkFlags _glibCflags)

# DBUS_INCLUDE_DIR
find_path(DBUS_INCLUDE_DIR dbus/dbus-glib.h
   ${_dbusIncDir}
   ${_dbusIncDir}/dbus-1.0
   /usr/include/dbus-1.0
   /usr/include
   /usr/local/include/dbus-1.0
   /usr/local/include
)
# DBUS_LIBRARY
find_library(DBUS_LIBRARY NAMES dbus-1
    PATHS
    ${_dbusLinkDir}
    /usr/lib
    /usr/local/lib
)

# GLIB2_INCLUDE_DIR
find_path(GLIB2_INCLUDE_DIR glib.h
   ${_glibIncDir}
   /usr/include
   /usr/include/glib-2.0
   /usr/local/include
)
# GLIB2_LIBRARY
find_library(GLIB2_LIBRARY NAMES glib-2.0
    PATHS
    ${_glibLinkDir}
    /usr/lib
    /usr/local/lib
)
# GLIB_CONFIG
find_path(GLIB_CONFIG_DIR glibconfig.h
   /usr/lib/glib-2.0/include
   /usr/lib/glib-2.0
   /usr/include/glib-2.0
   /usr/local/include
)


if(DBUS_LIBRARY AND DBUS_INCLUDE_DIR)
        message(STATUS "Found DBUS_LIBRARY: ${DBUS_LIBRARY}")
        message(STATUS "Found DBUS_INCLUDE_DIR: ${DBUS_INCLUDE_DIR}")
else(DBUS_LIBRARY AND DBUS_INCLUDE_DIR)
        message(FATAL_ERROR "Can't find DBUS")
endif(DBUS_LIBRARY AND DBUS_INCLUDE_DIR)

if(GLIB2_LIBRARY AND GLIB2_INCLUDE_DIR)
        message(STATUS "Found GLIB2_LIBRARY: ${GLIB2_LIBRARY}")
        message(STATUS "Found GLIB2_INCLUDE_DIR: ${GLIB2_INCLUDE_DIR}")
else(GLIB2_LIBRARY AND GLIB2_INCLUDE_DIR)
        message(FATAL_ERROR "Can't find DBUS")
endif(GLIB2_LIBRARY AND GLIB2_INCLUDE_DIR)


# include and link...
include_directories(${DBUS_INCLUDE_DIR})
include_directories(${GLIB2_INCLUDE_DIR})
include_directories(${GLIB_CONFIG_DIR})

target_link_libraries(zpspell glib-2.0 dbus-glib-1)

=== debian/changelog ===
zpspell (0.4.3-7) unstable; urgency=medium

  * QA Upload
  * Import on Salsa
  * Replace CDBS build with DebHelper

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 14:54:54 +0100

zpspell (0.4.3-6) unstable; urgency=medium

  * QA upload.
  * debian/tests/control: Create autopkgtest.

 -- Marcos Talau <talau@debian.org>  Sat, 23 Nov 2024 11:56:07 -0300

zpspell (0.4.3-5) unstable; urgency=medium

  * QA upload.
  * Drop Vcs fields. (Closes: #1031995)
  * Convert to source format 3.0 (quilt).

  [ Helmut Grohne ]
  * Use standard pkg-config integration. (Closes: #977183)

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 13:49:06 +0000

zpspell (0.4.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat: bumped level to 7. (Closes: #965922)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 22 Apr 2022 19:23:46 -0300

zpspell (0.4.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * FTBFS: CMake Error: The following variables are used in this project,
    but they are set to NOTFOUND (Closes: #652208).
    - debian/patches/find_path-GLIB_CONFIG_DIR.diff

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 07 Jan 2012 22:08:43 +0900

zpspell (0.4.3-4) unstable; urgency=low

  * FTBFS with binutils-gold (Closes: #556775):
    - Link against gobject-2.0.
    - Use quilt as patch system.
  * Bump standards version. No changes needed.

 -- Rail Aliev <rail@i-rs.ru>  Wed, 18 Nov 2009 02:37:50 +0300

zpspell (0.4.3-3) unstable; urgency=low

  * Add manual page for zpspell(1) (Closes: #530759). Build-Depend on xsltproc
    and docbook-xsl.
  * Depend on zemberek-server (Closes: #531913).
  * Bump standards version to 3.8.2. No changes needed.

 -- Rail Aliev <rail@i-rs.ru>  Tue, 23 Jun 2009 21:28:01 +0400

zpspell (0.4.3-2) unstable; urgency=low

  * debian/copyright:
    - Change (C) to ©.

 -- Rail Aliev <rail@i-rs.ru>  Mon, 18 May 2009 23:16:20 +0400

zpspell (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Drop debian/patches/gcc-4.4.diff, fixed in upstream. (Closes: #529263)
  * debian/rules:
    - Drop simple-patchsys.mk.
  * debian/control:
    - Upgrade to Standards-Version 3.8.1. No changes needed.

 -- Rail Aliev <rail@i-rs.ru>  Mon, 18 May 2009 19:02:27 +0400

zpspell (0.4.2-6) unstable; urgency=low

  * debian/patches/gcc-4.4.diff:
    - Use cstdio instead of stdio.h.
    - Add patch description.

 -- Rail Aliev <rail@i-rs.ru>  Thu, 07 May 2009 16:04:15 +0400

zpspell (0.4.2-5) unstable; urgency=low

  * debian/patches/gcc-4.4.diff:
    - GCC 4.4 build bits.
  * debian/rules:
    - Add simple-patchsys.mk.

 -- Rail Aliev <rail@i-rs.ru>  Thu, 07 May 2009 10:30:31 +0400

zpspell (0.4.2-4) unstable; urgency=low

  * Release targeted for Debian.
  * debian/control:
    - Change 'Maintainer', 'Vcs-Browser' and 'Vcs-Bzr' fields.

 -- Rail Aliev <rail@i-rs.ru>  Mon, 04 May 2009 21:12:07 +0400

zpspell (0.4.2-3ubuntu1) jaunty; urgency=low

  * Update Mainainer field

 -- Rail Aliev <rail@i-rs.ru>  Wed, 08 Apr 2009 01:47:19 +0400

zpspell (0.4.2-3) jaunty; urgency=low

  * Close needs-packaging (LP: #357226)

 -- Rail Aliev <rail@i-rs.ru>  Wed, 08 Apr 2009 00:49:04 +0400

zpspell (0.4.2-2) jaunty; urgency=low

  * Use GPL 3 for packaging

 -- Rail Aliev <rail@i-rs.ru>  Wed, 08 Apr 2009 00:40:06 +0400

zpspell (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Rail Aliev <rail@i-rs.ru>  Tue, 07 Apr 2009 13:11:49 +0400

zpspell (0.4.1-1) unstable; urgency=low

  * Initial release

 -- Rail Aliev <rail@i-rs.ru>  Sat, 19 Jul 2008 00:37:06 +0400

=== debian/control ===
Source: zpspell
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 docbook-xsl,
 libdbus-glib-1-dev,
 xsltproc,
Standards-Version: 4.7.2
Vsc-Git: https://salsa.debian.org/debian/zpspell.git
Vcs-Browser: https://salsa.debian.org/debian/zpspell
X-Style: black

Package: zpspell
Architecture: any
Depends:
 zemberek-server,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Command line interface for zemberek-server
 zpspell is the command line interface for zemberek-server. It simulates the
 ispell interface for being compatible with programs using ispell interactive
 mode.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_install:
	xsltproc --nonet \
		--output debian/ \
		--param man.charmap.use.subset "0" \
		--param make.year.ranges "1" \
		--param make.single.year.ranges "1" \
		--param man.authors.section.enabled "1" \
		--param man.copyright.section.enabled "0" \
		--param man.charmap.enabled "0" \
		/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
		debian/zpspell.xml

=== debian/tests/control ===
Test-Command: zpspell mutluluk | grep "mutluluk: doğru"
Restrictions:
 superficial,

Test-Command: zpspell mutlulok | grep "mutlulok: yanlış (mutluluk, Mutluluk, mutlu lok)"
Restrictions:
 superficial,

=== debian/watch ===
version=4
http://cekirdek.pardus.org.tr/~baris/zpspell/zpspell-(.*)\.tar\.bz2
